
# ======================================================#
# File automagically generated by GUI2Exe version 0.1
# Andrea Gavana, 31 March 2007
# ======================================================#

# Let's start with some default (for me) imports...

from distutils.core import setup
import py2exe
import glob
import os
import zlib
import shutil

shutil.rmtree("build", ignore_errors=True)


manifest_template = """
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<assembly xmlns="urn:schemas-microsoft-com:asm.v1" manifestVersion="1.0">
<assemblyIdentity
    version="5.0.0.0"
    processorArchitecture="x86"
    name="GUI2Exe"
    type="win32"
/>
<description>GUI2Exe Program</description>
<dependency>
    <dependentAssembly>
        <assemblyIdentity
            type="win32"
            name="Microsoft.Windows.Common-Controls"
            version="6.0.0.0"
            processorArchitecture="X86"
            publicKeyToken="6595b64144ccf1df"
            language="*"
        />
    </dependentAssembly>
</dependency>
</assembly>
"""

class Target(object):
    """ A simple class that holds information on our executable file. """
    def __init__(self, **kw):
        """ Default class constructor. Update as you need. """
        self.__dict__.update(kw)
        # for the versioninfo resources
        self.version = "0.1"
        self.company_name = "No Company"
        self.copyright = "Andrea Gavana"
        self.name = "GUI2Exe"


# Ok, let's explain why I am doing that.
# Often, data_files, excludes and dll_excludes (but also resources)
# can be very long list of things, and this will clutter too much
# the setup call at the end of this file. So, I put all the big lists
# here and I wrap them using the textwrap module.

data_files = [('docs/images/icons', ['D:\\MyProjects\\GUI2Exe\\docs\\images\\icons\\exclamation.gif',
                                     'D:\\MyProjects\\GUI2Exe\\docs\\images\\icons\\go.gif',
                                     'D:\\MyProjects\\GUI2Exe\\docs\\images\\icons\\quote.gif',
                                     'D:\\MyProjects\\GUI2Exe\\docs\\images\\icons\\stop.gif']),
              ('docs', ['D:\\MyProjects\\GUI2Exe\\docs\\switches.html']),
              ('docs/images', ['D:\\MyProjects\\GUI2Exe\\docs\\images\\arrow.gif',
                               'D:\\MyProjects\\GUI2Exe\\docs\\images\\arrow2.gif',
                               'D:\\MyProjects\\GUI2Exe\\docs\\images\\bg1.jpg',
                               'D:\\MyProjects\\GUI2Exe\\docs\\images\\firefox.jpg',
                               'D:\\MyProjects\\GUI2Exe\\docs\\images\\gui2exe_splash.png',
                               'D:\\MyProjects\\GUI2Exe\\docs\\images\\gui2exe_splash2.png',
                               'D:\\MyProjects\\GUI2Exe\\docs\\images\\gui2exe_splash_small.png',
                               'D:\\MyProjects\\GUI2Exe\\docs\\images\\h2.gif',
                               'D:\\MyProjects\\GUI2Exe\\docs\\images\\hr.gif',
                               'D:\\MyProjects\\GUI2Exe\\docs\\images\\img-1.jpg',
                               'D:\\MyProjects\\GUI2Exe\\docs\\images\\img-2.jpg',
                               'D:\\MyProjects\\GUI2Exe\\docs\\images\\logo.gif',
                               'D:\\MyProjects\\GUI2Exe\\docs\\images\\nav_btm.jpg',
                               'D:\\MyProjects\\GUI2Exe\\docs\\images\\nav_side.jpg',
                               'D:\\MyProjects\\GUI2Exe\\docs\\images\\splash_small.png',
                               'D:\\MyProjects\\GUI2Exe\\docs\\images\\switches.png']),
              ('docs/images/bg', ['D:\\MyProjects\\GUI2Exe\\docs\\images\\bg\\balloons.gif',
                                  'D:\\MyProjects\\GUI2Exe\\docs\\images\\bg\\bullet.gif',
                                  'D:\\MyProjects\\GUI2Exe\\docs\\images\\bg\\footer.jpg',
                                  'D:\\MyProjects\\GUI2Exe\\docs\\images\\bg\\gradient.jpg',
                                  'D:\\MyProjects\\GUI2Exe\\docs\\images\\bg\\header.jpg',
                                  'D:\\MyProjects\\GUI2Exe\\docs\\images\\bg\\header_left.jpg',
                                  'D:\\MyProjects\\GUI2Exe\\docs\\images\\bg\\header_right.jpg']),
              ('images', ['D:\\MyProjects\\GUI2Exe\\images\\GUI2Exe.ico',
                          'D:\\MyProjects\\GUI2Exe\\images\\GUI2Exe.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\PyInstaller.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\about.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\api_reference.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\aui_config.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\binarydependencies.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\bitmap.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\clear_all.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\code_discard.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\code_save.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\compile.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\compiler_switches.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\custom_code.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\cx_Freeze.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\datafiles.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\delete_all.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\delete_project.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\delete_selected.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\dllicon.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\drag_n_drop.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\dry.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\exit.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\export_setup.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\gui2exe_splash.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\help.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\history_clear.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\icon.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\kill.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\load_project.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\message_compile.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\message_copy.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\message_error.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\message_find.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\message_info.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\message_warning.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\missingmodules.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\modules.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\packages.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\project.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\project_broken.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\project_edit.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\project_home.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\project_ok.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\project_unsaved.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\py2app.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\py2exe.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\resource.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\restore_aui.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\runexe.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\save_aui_config.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\save_project.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\sort_down.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\sort_up.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\switch_db.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\tips_and_tricks.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\upgrade.png',
                          'D:\\MyProjects\\GUI2Exe\\images\\view_setup.png']),
              ('docs/css', ['D:\\MyProjects\\GUI2Exe\\docs\\css\\html.css',
                            'D:\\MyProjects\\GUI2Exe\\docs\\css\\layout.css',
                            'D:\\MyProjects\\GUI2Exe\\docs\\css\\print.css'])]

includes = []
excludes = ['Tkconstants', 'Tkinter', '_gtkagg', '_tkagg', 'curses',
            'email', 'pywin.debugger', 'pywin.debugger.dbgcon',
            'pywin.dialogs', 'tcl']
packages = []
dll_excludes = ['libgdk-win32-2.0-0.dll', 'libgobject-2.0-0.dll', 'tcl84.dll',
                'tk84.dll']
icon_resources = [(1, 'D:\\MyProjects\\GUI2Exe\\images\\GUI2Exe.ico')]
bitmap_resources = []
other_resources = [(24, 1, manifest_template)]


# This is a place where the user custom code may go. You can do almost
# whatever you want, even modify the data_files, includes and friends
# here as long as they have the same variable name that the setup call
# below is expecting.

# No custom code added


# Ok, now we are going to build our target class.
# I chose this building strategy as it works perfectly for me :-D

test_wx = Target(
    # what to build
    script = "GUI2Exe.py",
    icon_resources = icon_resources,
    bitmap_resources = bitmap_resources,
    other_resources = other_resources
    )


# That's serious now: we have all (or almost all) the options py2exe
# supports. I put them all even if some of them are usually defaulted
# and not used. Some of them I didn't even know about.

setup(

    data_files = data_files,

    options = {"py2exe": {"compressed": 2, 
                          "optimize": 2,
                          "includes": includes,
                          "excludes": excludes,
                          "packages": packages,
                          "dll_excludes": dll_excludes,
                          "bundle_files": 1,
                          "dist_dir": "dist",
                          "xref": False,
                          "skip_archive": False,
                          "ascii": False,
                          "custom_boot_script": '',
                         }
              },

    zipfile = None,
    windows = [test_wx]
    )


# And we are done. That's a setup script :-D

